image:
  tag: 10.2.2

revisionHistoryLimit: 2

ingress:
  enabled: true
  annotations:
    nginx.ingress.kubernetes.io/ssl-redirect: "true"
  labels:
    app: grafana
  path: /grafana
  pathType: Prefix
  hosts:
    - ers.net.ru
  tls:
    - hosts:
      - ers.net.ru
      secretName: ers-net-ru-tls-replica
  ingressClassName: nginx

persistence:
  enabled: true

grafana.ini:
  server:
    domain: ers.net.ru
    root_url: '%(protocol)s://%(domain)s:%(http_port)s/grafana/'
    serve_from_sub_path: true
  plugins:
    allow_loading_unsigned_plugins: "victoriametrics-datasource"

datasources:
  datasources.yaml:
    apiVersion: 1
    datasources:
      - name: victoria-metrics
        type: victoriametrics-datasource
        uid: victoriametrics-uid
        orgId: 1
        url: http://vmselect-vm-cluster.obs-victoria-metrics.svc:8481/select/0/prometheus
        isDefault: true
        access: proxy
        updateIntervalSeconds: 10
        editable: false
      - name: loki
        type: loki
        uid: loki-uid
        orgId: 1
        url: http://loki-query-frontend-headless.obs-loki.svc:3100
        jsonData:
          maxLines: 1000
          derivedFields:
            # Field with internal link pointing to data source in Grafana.
            # datasourceUid value can be anything, but it should be unique across all defined data source uids.
            - datasourceUid: jaeger-uid
              matcherRegex: "traceID=(\\w+)"
              name: TraceID
              # url will be interpreted as query for the datasource
              url: '$${__value.raw}'
              # optional for URL Label to set a custom display label for the link.
              urlDisplayLabel: 'View Trace'

            # Field with external link.
            - matcherRegex: "traceID=(\\w+)"
              name: TraceID
              url: 'https://ers.net.ru/jaeger/trace/$${__value.raw}'
      - name: Jaeger
        type: jaeger
        uid: jaeger-uid
        orgId: 1
        url: http://jaeger-clickhouse-query.obs-jaeger.svc:16686/jaeger
#        access: proxy
#        basicAuth: true
#        basicAuthUser: my_user
#        readOnly: false
#        isDefault: false
        jsonData:
          tracesToLogsV2:
            # Field with an internal link pointing to a logs data source in Grafana.
            # datasourceUid value must match the uid value of the logs data source.
            datasourceUid: loki-uid
            spanStartTimeShift: '1h'
            spanEndTimeShift: '-1h'
            tags:
              - 'job'
              - 'instance'
              - 'pod'
              - 'namespace'
            filterByTraceID: false
            filterBySpanID: false
            customQuery: true
            query: 'method="${__span.tags.method}"'
          tracesToMetrics:
            datasourceUid: victoriametrics-uid
            spanStartTimeShift: '1h'
            spanEndTimeShift: '-1h'
            tags:
              - key: 'service.name'
                value: 'service'
              - key: 'job'
            queries:
              - name: 'Sample query'
                query: 'sum(rate(traces_spanmetrics_latency_bucket{$$__tags}[5m]))'
          nodeGraph:
            enabled: true
          traceQuery:
            timeShiftEnabled: true
            spanStartTimeShift: '1h'
            spanEndTimeShift: '-1h'
          spanBar:
            type: 'None'
#        secureJsonData:
#          basicAuthPassword: my_password

# Change datasource type in dashboards from Prometheus to VictoriaMetrics.
# you can use `victoriametrics-datasource` instead of `prometheus` if enabled VictoriaMetrics Datasource above
defaultDatasourceType: "victoriametrics-datasource"

dashboardProviders:
  dashboardproviders.yaml:
    apiVersion: 1
    providers:
      - name: 'default'
        orgId: 1
        folder: ''
        type: file
        disableDeletion: true
        editable: true
        options:
          path: /var/lib/grafana/dashboards/default

dashboards:
  default:
#    victoriametrics:
#      gnetId: 11176
#      revision: 32
#      datasource: victoriametricsdatasource
#    vmagent:
#      gnetId: 12683
#      revision: 14
#      datasource: victoriametricsdatasource
#    kubernetes:
#      gnetId: 14205
#      revision: 1
#      datasource: victoriametricsdatasource
    1860-node-exporter-full:
      gnetId: 1860
      revision: 33
      datasource:
        - name: DS_PROMETHEUS
          values: victoria-metrics
    local-dashboard-gitlab:
      url: https://gitlab.com/ers.net.ru/infra/-/raw/main/argocd/obs/grafana/dashboards/test.json
